## PhoshAppListModel

PhoshAppListModel

## Functions

PhoshAppListModel * | phosh_app_list_model_get_default ()

## Types and Values

#define | PHOSH_TYPE_APP_LIST_MODEL
struct | PhoshAppListModelClass
| PhoshAppListModel

## Object Hierarchy

        GObject
        ╰── PhoshAppListModel

## Implemented Interfaces

PhoshAppListModel implements GListModel.

## Description

## Functions

### phosh_app_list_model_get_default ()

    PhoshAppListModel *
    phosh_app_list_model_get_default (void);

#### Returns

The global PhoshAppListModel singleton.

[transfer none]

## Types and Values

### PHOSH_TYPE_APP_LIST_MODEL

    #define PHOSH_TYPE_APP_LIST_MODEL phosh_app_list_model_get_type()

### struct PhoshAppListModelClass

    struct PhoshAppListModelClass {
      GObjectClass parent_class;
    };

### PhoshAppListModel

    typedef struct _PhoshAppListModel PhoshAppListModel;